# $Revision: 1.6 $, $Date: 2005/11/17 03:05:37 $
Summary:	low-level library for netfilter related kernel/userspace communication
Summary(pl):	Niskopoziomowa biblioteka do zwizanej z netfiltrem komunikacji midzy jdrem a przestrzeni uytkownika
Name:		libnfnetlink
Version:	0.0.13
Release:	1
License:	GPL
Group:		Libraries
Source0:	ftp://ftp.netfilter.org/pub/libnfnetlink/%{name}-%{version}.tar.bz2
# Source0-md5:	cc9e6d5f42f5a64dc29da724c9c88908
URL:		http://www.netfilter.org/projects/libnfnetlink/
BuildRequires:	autoconf
BuildRequires:	automake
%define		_llh_version	7:2.6.12.0-9
BuildRequires:	linux-libc-headers >= %{_llh_version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libnfnetlink is the low-level library for netfilter related
kernel/userspace communication. It provides a generic messaging
infrastructure for in-kernel netfilter subsystems (such as
nfnetlink_log, nfnetlink_queue, nfnetlink_conntrack) and their
respective users and/or management tools in userspace. This library is
not meant as a public API for application developers. It is only used
by other netfilter.org projects, such as libnetfilter_log,
libnetfilter_queue or libnetfilter_conntrack.

%description -l pl
libnfnetlink to niskopoziomowa biblioteka do zwizanej z netfiltrem
komunikacji midzy jdrem a przestrzeni uytkownika. Udostpnia
ogln infrastruktur komunikatw dla podsystemw netfiltra w jdrze
(takich jak nfnetlink_log, nfnetlink_queue, nfnetlink_conntrack) oraz
ich uytkownikw i/lub narzdzi zarzdzajcych w przestrzeni
uytkownika. Ta biblioteka nie jest przeznaczona jako publiczne API
dla twrcw aplikacji; jest jedynie uywana przez inne projekty
netfilter.org, takie jak libnetfilter_log, libnetfilter_queue czy
libnetfilter_conntrack.

%package devel
Summary:	Header files for libnfnetlink library
Summary(pl):	Pliki nagwkowe biblioteki libnfnetlink
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	linux-libc-headers >= %{_llh_version}

%description devel
Header files for libnfnetlink library.

%description devel -l pl
Pliki nagwkowe biblioteki libnfnetlink.

%package static
Summary:	Static libnfnetlink library
Summary(pl):	Statyczna biblioteka libnfnetlink
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libnfnetlink library.

%description static -l pl
Statyczna biblioteka libnfnetlink.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libnfnetlink.spec,v $
Revision 1.6  2005/11/17 03:05:37  pluto
- current llh-2.6.12-9 is enough.

Revision 1.5  2005/11/16 21:56:24  qboosh
- pl
- @kernel_ver in release was wrong - it's built against llh not kernel headers
- no R: kernel in userspace packages

Revision 1.4  2005/11/16 12:26:42  pluto
- R: llh for -devel.

Revision 1.3  2005/11/16 12:15:43  pluto
- oops, epoch for llh.

Revision 1.2  2005/11/16 12:14:59  pluto
- BR llh >= 2.6.14.0, epoch for R: kernel.

Revision 1.1  2005/11/16 12:07:53  pluto
- low-level library for netfilter related kernel/userspace communication.
